
<?php
class SMS
{
    public $Username = '';
    public $Password = '';
    
    private $SoapAddress = 'http://sms.sunwaysms.com/SMSWS/SOAP.asmx?wsdl';
    private $client;

    function __construct()
    {
        $this->client = new SoapClient($this->SoapAddress);
    }

    public Function GetClient(){
        return $this->client;
    }
    public Function GetClientEx($option){
        return new SoapClient($this->SoapAddress, $option);
    }
    
    public Function GetMethods(){
        $arr = array();
        $client = GetClient();
        return $client->__getFunctions();
    }
    
    public Function GetCredit(){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password);
        $client = $this->GetClient();
        return $client->GetCredit($option)->GetCreditResult;
    }
    
    public Function SendArray($MobileNumbersArray, $Message, $SpecialNumber, $IsFlashMessage, $CheckingMessageID){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,'RecipientNumber'=> $MobileNumbersArray,'MessageBody'=> $Message,'SpecialNumber'=> $SpecialNumber,'IsFlashMessage'=> $IsFlashMessage,'CheckingMessageID'=> $CheckingMessageID);
        $client = $this->GetClient();
        return $client->SendArray($option)->SendArrayResult;
    }
    
    public Function SendArraySchedule($MobileNumbersArray, $Message, $SpecialNumber, $IsFlashMessage, $CheckingMessageID, $Year, $Month, $Day, $Hour, $Minute){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,'RecipientNumber'=> $MobileNumbersArray,'MessageBody'=> $Message,'SpecialNumber'=> $SpecialNumber,'IsFlashMessage'=> $IsFlashMessage,'CheckingMessageID'=> $CheckingMessageID, 'Year'=> $Year, 'Month'=> $Month, 'Day'=> $Day, 'Hour'=> $Hour, 'Minute'=> $Minute);
        $client = $this->GetClient();
        return $client->SendArraySchedule($option)->SendArrayScheduleResult;
    }
    
    public Function GetMessageID($CheckingMessageIDArray){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,'CheckingMessageID'=> $CheckingMessageIDArray);
        $client = $this->GetClient();
        return $client->GetMessageID($option)->GetMessageIDResult;
    }

    public Function GetMessageStatus($MessageIDArray){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,'MessageID'=> $MessageIDArray);
        $client = $this->GetClient();
        return $client->GetMessageStatus($option)->GetMessageStatusResult;
    }

    public Function GetNumberGroupData(){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password);
        $client = $this->GetClient();
        return $client->GetNumberGroupData($option)->GetNumberGroupDataResult;
    }
    
    public Function SendNumberGroup($NumberGroupIDArray, $MessageBody, $SpecialNumber, $IsFlashMessage, $DontSendToRepeatedNumber){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,
                        'NumberGroupID'=> $NumberGroupIDArray, 
                        'MessageBody'=> $MessageBody,
                        'SpecialNumber'=> $SpecialNumber,
                        'IsFlashMessage'=> $IsFlashMessage,
                        'DontSendToRepeatedNumber'=> $DontSendToRepeatedNumber);
                        
        $client = $this->GetClient();
        return $client->SendNumberGroup($option)->SendNumberGroupResult;
    }
     
    public Function SendNumberGroupSchedule($NumberGroupIDArray, $MessageBody, $SpecialNumber, $IsFlashMessage, $DontSendToRepeatedNumber, $Year, $Month, $Day, $Hour, $Minute){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,
                        'NumberGroupID'=> $NumberGroupIDArray, 
                        'MessageBody'=> $MessageBody,
                        'SpecialNumber'=> $SpecialNumber,
                        'IsFlashMessage'=> $IsFlashMessage,
                        'DontSendToRepeatedNumber'=> $DontSendToRepeatedNumber,
                        'Year'=> $Year, 'Month'=> $Month, 'Day'=> $Day, 'Hour'=> $Hour, 'Minute'=> $Minute);
        
        $client = $this->GetClient();
        return $client->SendNumberGroupSchedule($option)->SendNumberGroupScheduleResult;
    }
   
    public Function InsertNumberInNumberGroup($NumberGroupID, $PersonNumberArray, $PersonNameArray){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,
                        'NumberGroupID'=> $NumberGroupID, 
                        'PersonNumber'=> $PersonNumberArray,
                        'PersonName'=> $PersonNameArray);
        
        $client = $this->GetClient();
        return $client->InsertNumberInNumberGroup($option)->InsertNumberInNumberGroupResult;
    }
    
    public Function GetInboxMessage($NumberOfMessage){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,
                        'NumberOfMessage'=> $NumberOfMessage);
        
        $client = $this->GetClient();
        return $client->GetInboxMessage($option)->GetInboxMessageResult;
    }
    
    public Function GetInboxMessageWithNumber($NumberOfMessage, $SpecialNumber){
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,
                        'NumberOfMessage'=> $NumberOfMessage,
                        'SpecialNumber'=> $SpecialNumber);
        
        $client = $this->GetClient();
        return $client->GetInboxMessageWithNumber($option)->GetInboxMessageWithNumberResult;
    }

    public  function GetInboxMessageWithInboxID($NumberOfMessage, $InboxID, $IsReaded) {
        $option = array('UserName'=> $this->Username,'Password'=> $this->Password,
                        'NumberOfMessage'=> $NumberOfMessage,'InboxID'=> $InboxID,'IsReaded'=> IsReaded);
        
        $client = $this->GetClient();
        return $client->GetInboxMessageWithInboxID($option)->GetInboxMessageWithInboxIDResult;
    }

    public Function GetUserInfo() {
            $option = array('UserName'=> $this->Username,'Password'=> $this->Password);
        
        $client = $this->GetClient();
        return $client->GetUserInfo($option)->GetUserInfoResult;
    }    

}
?>
